Skip to content
Start here

Get WARP Connector Tunnel connector

zero_trust.tunnels.warp_connector.connectors.get(strconnector_id, ConnectorGetParams**kwargs) -> ConnectorGetResponse
GET/accounts/{account_id}/warp_connector/{tunnel_id}/connectors/{connector_id}

Fetches connector and connection details for a WARP Connector Tunnel.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare One Connectors WriteCloudflare One Connectors ReadCloudflare One Connector: WARP WriteCloudflare One Connector: WARP Read
ParametersExpand Collapse
account_id: str

Cloudflare account ID

maxLength32
tunnel_id: str

UUID of the tunnel.

formatuuid
maxLength36
connector_id: str

UUID of the Cloudflare Tunnel connector.

formatuuid
maxLength36
ReturnsExpand Collapse
class ConnectorGetResponse:

A WARP Connector client that maintains a connection to a Cloudflare data center.

id: Optional[str]

UUID of the Cloudflare Tunnel connector.

formatuuid
maxLength36
arch: Optional[str]

The cloudflared OS architecture used to establish this connection.

conns: Optional[List[Conn]]

The WARP Connector Tunnel connections between your origin and Cloudflare’s edge.

id: Optional[str]

UUID of the Cloudflare Tunnel connection.

formatuuid
maxLength36
client_id: Optional[str]

UUID of the Cloudflare Tunnel connector.

formatuuid
maxLength36
client_version: Optional[str]

The cloudflared version used to establish this connection.

colo_name: Optional[str]

The Cloudflare data center used for this connection.

opened_at: Optional[datetime]

Timestamp of when the connection was established.

formatdate-time
origin_ip: Optional[str]

The public IP address of the host running WARP Connector.

features: Optional[List[str]]

Features enabled for the Cloudflare Tunnel.

ha_status: Optional[Literal["offline", "passive", "active"]]

The HA status of a WARP Connector client.

One of the following:
"offline"
"passive"
"active"
run_at: Optional[datetime]

Timestamp of when the tunnel connection was started.

formatdate-time
version: Optional[str]

The cloudflared version used to establish this connection.

Get WARP Connector Tunnel connector

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
connector = client.zero_trust.tunnels.warp_connector.connectors.get(
    connector_id="1bedc50d-42b3-473c-b108-ff3d10c0d925",
    account_id="699d98642c564d2e855e9661899b7252",
    tunnel_id="f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
)
print(connector.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "1bedc50d-42b3-473c-b108-ff3d10c0d925",
    "arch": "linux_amd64",
    "conns": [
      {
        "id": "1bedc50d-42b3-473c-b108-ff3d10c0d925",
        "client_id": "1bedc50d-42b3-473c-b108-ff3d10c0d925",
        "client_version": "2022.7.1",
        "colo_name": "DFW",
        "opened_at": "2021-01-25T18:22:34.317854Z",
        "origin_ip": "10.1.0.137"
      }
    ],
    "features": [
      "ha-origin"
    ],
    "ha_status": "offline",
    "run_at": "2009-11-10T23:00:00Z",
    "version": "2022.7.1"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "1bedc50d-42b3-473c-b108-ff3d10c0d925",
    "arch": "linux_amd64",
    "conns": [
      {
        "id": "1bedc50d-42b3-473c-b108-ff3d10c0d925",
        "client_id": "1bedc50d-42b3-473c-b108-ff3d10c0d925",
        "client_version": "2022.7.1",
        "colo_name": "DFW",
        "opened_at": "2021-01-25T18:22:34.317854Z",
        "origin_ip": "10.1.0.137"
      }
    ],
    "features": [
      "ha-origin"
    ],
    "ha_status": "offline",
    "run_at": "2009-11-10T23:00:00Z",
    "version": "2022.7.1"
  },
  "success": true
}